be.ehealth.businessconnector.therlink.builders.impl

## Class GenericRequestObjectBuilder

- java.lang.Object
- - be.ehealth.businessconnector.therlink.builders.impl.AbstractRequestObjectBuilderImpl
  - - be.ehealth.businessconnector.therlink.builders.impl.GenericRequestObjectBuilder

- All Implemented Interfaces:
    RequestObjectBuilder

      public class GenericRequestObjectBuilder
      extends AbstractRequestObjectBuilderImpl

  generic configurable implementation for RequestObjectBuilder. uses kmehr-business to create the author hcparties. Needs configuration as defined in project kmehrcommons , or property kmehr.therlink.usedefaultproperties=true Extends : `AbstractRequestObjectBuilderImpl`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROJECT_NAME` Name of the project (used in properties)

    - ### Fields inherited from interface be.ehealth.businessconnector.therlink.builders.RequestObjectBuilder

      `MAXROWS_DEFAULT, MAXROWS_PROPERTY_KEY, PROP_HCP_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericRequestObjectBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<HcParty>` | `getAuthorHcParties()` Abstract method that should be implemented by each class that extends `AbstractRequestObjectBuilderImpl` to retrieve the Author HcParties

    - ### Methods inherited from class be.ehealth.businessconnector.therlink.builders.impl.AbstractRequestObjectBuilderImpl

      `createGetTherapeuticLinkRequest, createGetTherapeuticLinkRequest, createHasTherapeuticLinkRequest, createPutTherapeuticLinkRequest, createPutTherapeuticLinkRequest, createPutTherapeuticLinkRequest, createRevokeTherapeuticLinkRequest, createRevokeTherapeuticLinkRequest, createRevokeTherapeuticLinkRequest, createRevokeTherapeuticLinkRequestWithProof, getConfig, getEnduserHcpType, getMaxRows, setConfig, validateMaxRowsValue`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROJECT_NAME

          public static final String PROJECT_NAME

      Name of the project (used in properties)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GenericRequestObjectBuilder

          public GenericRequestObjectBuilder()
                                      throws TherLinkBusinessConnectorException,
                                             TechnicalConnectorException,
                                             InstantiationException

      Throws:
        `TherLinkBusinessConnectorException`
        `TechnicalConnectorException`
        `InstantiationException`

  - ### Method Detail

    - #### getAuthorHcParties

          public List<HcParty> getAuthorHcParties()
                                           throws TechnicalConnectorException,
                                                  TherLinkBusinessConnectorException,
                                                  InstantiationException

      Description copied from class: `AbstractRequestObjectBuilderImpl`
      Abstract method that should be implemented by each class that extends
      `AbstractRequestObjectBuilderImpl` to retrieve the Author HcParties
      Specified by:
        `getAuthorHcParties` in interface `RequestObjectBuilder`
      Specified by:
        `getAuthorHcParties` in class `AbstractRequestObjectBuilderImpl`
      Throws:
        `TechnicalConnectorException`
        `TherLinkBusinessConnectorException`
        `InstantiationException`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.